%define majver %(echo %version | sed "s|[a-z]*$||")
Name:          blender
Version:       3.2.2
Release:       1mamba
Summary:       3D modeling, animation, rendering and post-production
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.blender.org/
Source0:       https://download.blender.org/source/blender-%{version}.tar.xz
Source1:       blender.png
Source2:       blender.desktop
Source3:       blender-wrapper
Patch0:        %{name}-2.46-xvidcore_configure.patch
Patch1:        %{name}-2.48a-ffmpeg.patch
Patch2:        %{name}-2.48a-ffmpeg-includes.patch
Patch3:        blender-2.68a-freestyle-build.patch
Patch4:        blender-2.79a-freetype-link.patch
Patch5:        blender-3.1.2-force-draco1.patch
Patch6:        blender-3.1.2-force-draco2.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL2-devel
BuildRequires: libX11-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXrender-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavdevice-ffmpeg-devel
BuildRequires: libavfilter-ffmpeg-devel
BuildRequires: libavformat-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libboost-devel
BuildRequires: libexpat-devel
BuildRequires: libfftw-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libgmp-cxx-devel
BuildRequires: libgmp-devel
BuildRequires: libgomp-devel
BuildRequires: libimath-devel
BuildRequires: libjack-devel
BuildRequires: libjemalloc-devel
BuildRequires: libjpeg-devel
BuildRequires: libopenal-devel
BuildRequires: libopencolorio-devel
BuildRequires: libopenexr-devel
BuildRequires: libopenimageio-devel
BuildRequires: libopenjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libpotrace-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libpython310-devel
BuildRequires: libsndfile-devel
BuildRequires: libspnav-devel
BuildRequires: libstdc++6-devel
BuildRequires: libswresample-ffmpeg-devel
BuildRequires: libswscale-ffmpeg-devel
BuildRequires: libtbb-devel
BuildRequires: libtiff-devel
BuildRequires: libwebp-devel
BuildRequires: libyaml-cpp-devel
BuildRequires: libz-devel
BuildRequires: libzstd-devel
BuildRequires: pugixml-devel
## AUTOBUILDREQ-END
BuildRequires: bash
BuildRequires: ldconfig
#BuildRequires: yafray
BuildRequires: nasm
BuildRequires: scons
BuildRequires: libtool
BuildRequires: gcc-c++
BuildRequires: libglut-devel
BuildRequires: libopenssl-devel
BuildRequires: libesound-devel
BuildRequires: libnspr-devel
BuildRequires: libsmpeg-devel
BuildRequires: libode-devel
BuildRequires: gettext-devel
BuildRequires: libspnav-devel
BuildRequires: python-numpy-py310
BuildRequires: libembree-devel
#Requires:      yafray

%description
Blender is the essential software solution you need for 3D, from modeling, animation, rendering and post-production to interactive creation and playback.
Professionals and novices can easily and inexpensively publish stand-alone, secure, multi-platform content to the web, CD-ROMs, and other media, whether they are users of Windows, Linux, Irix, Sun Solaris, FreeBSD or OSX.

%debug_package

%prep
%setup -q -n %{name}-%{version}
#-D -T
#:<< _EOF
#%patch3 -p1
%patch4 -p1
%patch5 -p1 -b .force-draco1
cd release/scripts/addons
%patch6 -p1 -b .force-draco2
cd ../../..

%build
#:<< _EOF
%cmake -d build \
   -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
   -DCMAKE_SKIP_RPATH=ON \
   -DWITH_INSTALL_PORTABLE=OFF \
   -DBOOST_ROOT=1 \
   -DWITH_CYCLES=OFF \
   -DWITH_CYCLES_PTEX=OFF \
   -DFTGL_LIBPATH=%{_libdir} \
   -DWITH_FREESTYLE=ON \
   -DWITH_SYSTEM_OPENJPEG=ON \
   -DWITH_PYTHON_INSTALL=OFF \
   -DPYTHON_VERSION=%{python310_version} \
   -DPYTHON_LIBPATH=%{_libdir} \
   -DPYTHON_LIBRARY=python%{python310_version} \
   -DPYTHON_INCLUDE_DIRS=%{python310_inc} \
   -DWITH_BULLET=OFF


export LD_LIBRARY_PATH=`pwd`/lib
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf "%{buildroot}"
%makeinstall -C build

install -Dm755 release/bin/blender-softwaregl %{buildroot}%{_bindir}/blender-softwaregl

install -d %{buildroot}%{_libdir}/blender
cp -a build/lib/* %{buildroot}%{_libdir}/blender/

install -d %{buildroot}%{_sysconfdir}/ld.so.conf.d
cat > %{buildroot}%{_sysconfdir}/ld.so.conf.d/blender.conf << _EOF
%{_libdir}/blender
_EOF

# Manually install draco bindings
mv %{buildroot}%{_datadir}/blender/3*/python/lib/python%{python310_version} %{buildroot}%{_libdir}/
rm -rf %{buildroot}%{_datadir}/blender/3*/python

install -D -m644 release/freedesktop/org.blender.Blender.appdata.xml \
   %{buildroot}%{_datadir}/metainfo/org.blender.Blender.appdata.xml

## Manually install additional scripts
#cp -r release/scripts/addons_contrib/* \
#   %{buildroot}%{_datadir}/blender/3*/scripts/addons_contrib/

#      BF_PYTHON=%{python3_inc} \
#scons install \
#      BF_BUILDDIR=./rpmbuildir \
#      BF_PYTHON_INC=%{python3_inc} \
#      BF_PYTHON_BINARY=%{_bindir}/python3 \
#      BF_PYTHON_LIB=python%{python3_version} \
#      WITH_BF_FFMPEG='true' \
#      BF_FFMPEG='%{_prefix}' \
#      BF_FFMPEG_INC='%{_includedir}' \
#      BF_FFMPEG_LIB='avformat avcodec avdevice avutil swscale xvidcore ogg dc1394 raw1394 faac faad x264 mp3lame vorbis theora vorbisenc dts' \
#      BF_FFMPEG_EXTRA='-D__STDC_CONSTANT_MACROS' \
#      WITH_BF_GAMEENGINE='true' \
#      BF_INSTALLDIR=%{buildroot}%{_datadir}/blender/ \
#      BF_OPENEXR_INC=%{_includedir}/OpenEXR/
#
#install -D -m0644 %{S:1} %{buildroot}%{_datadir}/pixmaps/blender.png
#install -D -m0644 %{S:2} %{buildroot}%{_datadir}/applications/blender.desktop
#install -D -m0755 %{S:3} %{buildroot}%{_bindir}/blender
#
##rmdir %{buildroot}%{_datadir}/blender/%{majver}/python/lib
##rmdir %{buildroot}%{_datadir}/blender/%{majver}/python

%clean
[ "%{buildroot}" != "/" ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_sysconfdir}/ld.so.conf.d/blender.conf
%{_bindir}/blender
%{_bindir}/blender-softwaregl
%{_bindir}/blender-thumbnailer
%dir %{_libdir}/blender
%{_libdir}/blender/*.so
%{_libdir}/blender/libaudaspace*.a
%{python310_sitearch}/libextern_draco.so
%{_datadir}/applications/blender.desktop
%{_datadir}/metainfo/org.blender.Blender.appdata.xml
%dir %{_datadir}/blender
%{_datadir}/blender/*
%{_datadir}/icons/hicolor/symbolic/apps/*.svg
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%dir %{_datadir}/doc/blender
%{_datadir}/doc/blender/*
#%{_mandir}/man1/blender.1.gz

%changelog
* Sat Aug 20 2022 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Mon Apr 18 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.2-2mamba
- fix internal python installation

* Tue Apr 12 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.2-1mamba
- update to 3.1.2

* Tue Mar 24 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.82a-1mamba
- update to 2.82a

* Thu Dec 26 2019 Automatic Build System <autodist@mambasoft.it> 2.81a-1mamba
- automatic version update by autodist

* Sat Nov 23 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.81-1mamba
- update to 2.81

* Sat Mar 24 2018 Automatic Build System <autodist@mambasoft.it> 2.79b-1mamba
- automatic version update by autodist

* Sun Mar 11 2018 Automatic Build System <autodist@mambasoft.it> 2.79a-1mamba
- automatic version update by autodist

* Sun Apr 13 2014 Automatic Build System <autodist@mambasoft.it> 2.70a-1mamba
- automatic version update by autodist

* Mon Mar 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.70-2mamba
- rebuilt with openexr 2.1.0

* Thu Mar 20 2014 Automatic Build System <autodist@mambasoft.it> 2.70-1mamba
- automatic version update by autodist

* Mon Dec 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.69-2mamba
- rebuilt with boost 1.55

* Thu Oct 31 2013 Automatic Build System <autodist@mambasoft.it> 2.69-1mamba
- automatic version update by autodist

* Sat Jul 27 2013 Automatic Build System <autodist@mambasoft.it> 2.68a-1mamba
- automatic version update by autodist

* Fri Mar 08 2013 Automatic Build System <autodist@mambasoft.it> 2.66a-1mamba
- automatic version update by autodist

* Sun Feb 24 2013 Automatic Build System <autodist@mambasoft.it> 2.66-1mamba
- automatic version update by autodist

* Wed Dec 26 2012 Automatic Build System <autodist@mambasoft.it> 2.65a-1mamba
- automatic version update by autodist

* Wed Oct 10 2012 Automatic Build System <autodist@mambasoft.it> 2.64a-1mamba
- automatic version update by autodist

* Thu Oct 04 2012 Automatic Build System <autodist@mambasoft.it> 2.64-1mamba
- automatic version update by autodist

* Fri May 11 2012 Automatic Build System <autodist@mambasoft.it> 2.63a-1mamba
- automatic version update by autodist

* Fri Apr 27 2012 Automatic Build System <autodist@mambasoft.it> 2.63-1mamba
- automatic version update by autodist

* Fri Feb 17 2012 Automatic Build System <autodist@mambasoft.it> 2.62-1mamba
- automatic version update by autodist

* Wed Dec 14 2011 Automatic Build System <autodist@mambasoft.it> 2.61-1mamba
- automatic version update by autodist

* Wed Oct 26 2011 Automatic Build System <autodist@mambasoft.it> 2.60a-1mamba
- automatic version update by autodist

* Thu Sep 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.59-2mamba
- remove empty python dir in blender datadir to fix application startup

* Mon Aug 29 2011 Automatic Build System <autodist@mambasoft.it> 2.59-1mamba
- update to 2.59

* Wed Jun 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.49b-7mamba
- rebuilt with ffmpeg 0.6

* Thu Jun 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.49b-6mamba
- rebuilt with ffmpeg 0.52

* Thu Mar 18 2010 Automatic Build System <autodist@mambasoft.it> 2.49b-5mamba
- automatic rebuild by autodist

* Mon Dec 07 2009 Automatic Build System <autodist@mambasoft.it> 2.49b-4mamba
- automatic rebuild by autodist

* Sat Oct 31 2009 Automatic Build System <autodist@mambasoft.it> 2.49b-3mamba
- automatic rebuild by autodist

* Thu Oct 15 2009 Automatic Build System <autodist@mambasoft.it> 2.49b-2mamba
- automatic rebuild by autodist

* Thu Sep 10 2009 Automatic Build System <autodist@mambasoft.it> 2.49b-1mamba
- automatic update to 2.49b by autodist

* Wed Aug 19 2009 Automatic Build System <autodist@mambasoft.it> 2.49a-5mamba
- automatic rebuild by autodist

* Wed Aug 12 2009 Automatic Build System <autodist@mambasoft.it> 2.49a-4mamba
- automatic rebuild by autodist

* Tue Jul 14 2009 Automatic Build System <autodist@mambasoft.it> 2.49a-3mamba
- automatic rebuild by autodist

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 2.49a-2mamba
- automatic rebuild by autodist

* Mon Jun 29 2009 Automatic Build System <autodist@mambasoft.it> 2.49a-1mamba
- automatic update to 2.49a by autodist

* Sat Apr 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.48a-7mamba
- automatic rebuild by autodist

* Wed Jan 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.48a-6mamba
- automatic rebuild by autodist

* Wed Dec 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.48a-5mamba
- automatic rebuild by autodist

* Sun Nov 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.48a-4mamba
- automatic rebuild by autodist

* Sun Nov 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.48a-3mamba
- automatic rebuild by autodist

* Mon Nov 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.48a-2mamba
- automatic rebuild by autodist

* Fri Oct 24 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.48a-1mamba
- automatic update to 2.48a by autodist

* Wed Oct 15 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.48-1mamba
- automatic update to 2.48 by autodist

* Sun Aug 24 2008 gil <puntogil@libero.it> 2.47-1mamba
- update to 2.47

* Mon Jun 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.46-2mamba
- rebuilt against recent libdc1394

* Tue May 20 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.46-1mamba
- update to 2.46
- game engine build enabled
- build against external ffmpeg

* Fri Dec 28 2007 Aleph0 <aleph0@openmamba.org> 2.45-3mamba
- rebuilt against new gettext libraries
- use %%python_version to get the current version of python
- set BF_BUILDDIR to build blender inside the build directory

* Thu Oct 11 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.45-2mamba
- added requirement for yafray

* Mon Sep 24 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.45-1mamba
- update to 2.45

* Sat May 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.44-2mamba
- rebuilt

* Tue May 15 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.44-1mamba
- update to 2.44
- moved desktop menu icon to %{_datadir}/applications

* Sat Apr 14 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.42a-2mamba
- rebuilt

* Mon Jan 29 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.42a-1qilnx
- update to version 2.42a by autospec

* Thu Jan 26 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.41-1qilnx
- update to version 2.41 by autospec
- new desktop file

* Fri Jul 01 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.37a-1qilnx
- update to version 2.37a by autospec

* Tue Apr 05 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.36-2qilnx
- Rebuild and moved from devel-contrib repository to devel repository

* Wed Mar 16 2005 Matteo Bernasconi <voyagernm@virgilio.it> 2.36-1qilnx
- First Build
